#
# spec file for package aspell-de (Version 20010414)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  aspell ispell pspell
# usedforbuild    aaa_base aaa_dir aspell autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip ispell kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps pspell rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         aspell-de
Copyright:    GPL
Group:        Applications/Text
Autoreqprov:  on
Version:      20010414
Release:      82
Summary:      A German dictionary for aspell
URL:          http://www.suse.de/~bjacke/igerman98/
Source0:      igerman98-%{version}.tar.bz2
Source1:      SuSEconf.tar.bz2
BuildRoot:    /var/tmp/%{name}-build

%description
A German dictionary for aspell.

Authors:
--------
    Bjrn Jacke <bjoern.jacke@gmx.de>

SuSE series: spl

%prep
%setup -n igerman98-%{version} -b 1

%build
dictdir=`aspell dump config | grep '^# dict-dir current: ' | cut -d' ' -f4`
datadir=`aspell dump config | grep '^# data-dir current: ' | cut -d' ' -f4`
cp aspell/{german_phonet.dat,german.dat} $datadir
make aspell

%install
rm -rf $RPM_BUILD_ROOT
dictdir=`aspell dump config | grep '^# dict-dir current: ' | cut -d' ' -f4`
datadir=`aspell dump config | grep '^# data-dir current: ' | cut -d' ' -f4`
install -d -m 755 $RPM_BUILD_ROOT/usr/share/pspell/
echo "/usr/lib/aspell/german" > $RPM_BUILD_ROOT/usr/share/pspell/de-aspell.pwli
install -d -m 755 $RPM_BUILD_ROOT$datadir
install -d -m 755 $RPM_BUILD_ROOT$dictdir
install -m 0644 aspell/german.dat $RPM_BUILD_ROOT$datadir
install -m 0644 aspell/german_phonet.dat $RPM_BUILD_ROOT$datadir
install -m 0644 german $RPM_BUILD_ROOT$dictdir
#
cp -r ../usr $RPM_BUILD_ROOT/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Documentation/* 
/usr/bin/*
/usr/lib/aspell/*
/usr/share/aspell/*
/usr/share/pspell/*

%changelog -n aspell-de
* Fri Jun 01 2001 - pmladek@suse.cz
- package created
- added start script and configuration for this language
